import { HttpClient } from "@angular/common/http";
import { ConfigService, InterceptedRepoAspectsRest } from "@yukawa/chain-base-angular-client";
import { ProjectRepoAspect } from "../../core/service";
import { Project } from "../../../../gen/domain";
import { ProjectFilter } from "../../../../gen/filter";
import { Observable } from "rxjs";
import { QueryResult } from "@yukawa/chain-base-angular-domain";
export declare class DbtgProjectService extends InterceptedRepoAspectsRest<string, Project, ProjectFilter> implements ProjectRepoAspect {
    protected http: HttpClient;
    protected configService: ConfigService;
    constructor(http: HttpClient, configService: ConfigService);
    beforeRead(filter: ProjectFilter): Observable<ProjectFilter>;
    afterQuery(result: QueryResult<Project>): Observable<QueryResult<Project>>;
}
